// configuration.js

var HPSM_URL = "http://localhost:13080/sc62server/ws";  // Note that this URL is case-sensitive.  Communication from the 
                                                     // Integration Agent to HP Service Manager will fail if this is not correct.
                                                     
// Specifies the default HP Service Manager login credentials to use when a User has not specified values for the custom fields or for callout annotations
var HPSM_USER_NAME = "falcon";
  
// location of the HP SM password file
var HPSM_PASSWORD_FILE = "conf/hpsmcm.pwd";

// only used for Callout Annotations from the CALLOUT APS script
var calloutAnnotateUser = "falcon";
// Location of annotation user's password file
var calloutAnnotatePassFile = "conf/hpsmcm-ann.pwd"
	 
// The business script in xMatters used to present and handle responses for this integration.
var DEDUPLICATOR_FILTER = "hpsmcm-3-0";

// Sends a delete prior to creating the new event to clear out any existing events for this Incident ID
var DELETE_EXISTING_EVENTS = true;
	 
// Update HP Service Manager events with xMatters notification delivery status.
var ANNOTATE_DELIVERY = true;
	 
/**
 * A global logger for any js files that aren't class definitions using WSUtil as a super-class
 */
var log = new Logger();