<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="java.util.*" %>

<%@ page import="org.springframework.web.context.WebApplicationContext"%>
<%@ page import="org.springframework.web.context.support.WebApplicationContextUtils"%>
<%@ page import="com.invoqsystems.apex.services.view.SubscriptionService" %>

<%
  final int MAX_DISPLAY_CHARACTERS = 60;
  final int MAX_RECIPIENT_DISPLAY_CHARACTERS = 80;
  final boolean QUERY_PREDICATE_VALUES = true;

  final String CATEGORY_PREDICATE_NAME = "category";
  final String SUBCATEGORY_PREDICATE_NAME = "subcategory";
  final String IMPACT_PREDICATE_NAME = "impact_assessment";  
  final String SEVERITY_PREDICATE_NAME = "urgency";
  final String PRIORITY_PREDICATE_NAME = "priority";
  final String SERVICE_PREDICATE_NAME = "service";
  final String PHASE_PREDICATE_NAME = "phase";
  final String TRIGGER_RULE_PREDICATE_NAME = "trigger_rule";
  final String AFFECTED_CI_PREDICATE_NAME = "affected_ci";
  final String ASSIGNED_TO_DEPT_PREDICATE_NAME = "assigned_to_dept";
  final String CHANGE_COORDINATOR_PREDICATE_NAME = "coordinator";
  final String INITIATOR_PREDICATE_NAME = "initiator";

  // hard code the trigger rules  
  final String TRIGGER_RULE_PHASE_CHANGE = "Phase Change";
  final String TRIGGER_RULE_APPROVAL = "Approval";


  final String SERVICE_MANAGER_URL = "http://localhost:13080/sc62server/ws";
  final String SERVICE_MANAGER_USER = "falcon";
  final String SERVICE_MANAGER_PASSWORD = "";

  WebApplicationContext wac = WebApplicationContextUtils.getRequiredWebApplicationContext(application);
  WebUIUtility web = (WebUIUtility)wac.getBean("webUIUtility");
  SubscriptionService service = web.getSubscriptionService();
  
  boolean ignoreDeviceDelaysDefault = false;
  boolean overrideDeviceSeverityDefault = false;
  boolean overrideTimeframeDefault = false;

%>

