<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>

<script type="text/javascript" language="JavaScript">

// counts on the list being sorted 
function removeDuplicates( listBox )
{
  var lastItemValue = "";
  for( var i=(listBox.options.length-1); i >=0; i-- )
  {
    var item = listBox.options[i];
    if( lastItemValue == item.value )
    {
      listBox.options[i] = null;
    }
    lastItemValue = item.value; 
  }
}

function setAllSelected( selectBox )
{
  for ( var i = 0; i != selectBox.options.length; i++ )
  {
    selectBox.options[i].selected = true;
  }
}

function doPrePostActions()
{
  var selectedBox = document.getElementById( "items" );

  setAllSelected( selectedBox );
}

function moveSelectedOptions( listFrom, listTo ) {
  var i = 0; 
  while (i != listFrom.options.length)
  {
    if (listFrom.options[i].selected) {
	  listTo.add(listFrom.options[i]);
	} else {
	  i++;
	}
  }
}

function copySelectedOptions( listFrom, listTo ) {
  for ( var i = 0; i != listFrom.options.length; i++ )
  {
    if (listFrom.options[i].selected) {
	  var option = document.createElement( 'option' );
      option.value = listFrom.options[i].value;
	  option.text = listFrom.options[i].text;
      select.add( option );
	}
  }
}

function sortOptions(selElem) {
  var tmpAry = new Array();
  for (var i=0;i != selElem.options.length;i++) {
    tmpAry[i] = new Array();
    tmpAry[i][0] = selElem.options[i].text;
    tmpAry[i][1] = selElem.options[i].value;
  }
  tmpAry.sort();
  while (selElem.options.length > 0) {
    selElem.options[0] = null;
  }
  for (var i=0;i != tmpAry.length;i++) {
    var op = new Option(tmpAry[i][0], tmpAry[i][1]);
    selElem.options[i] = op;
  }
}

function setSelectionOptions(source, target)
{
  // clear the left list
  removeAllOptions(target);
  // copy from source to left list
  copySelectedOptions(source, target);
  sortOptions(target);
}

function removeAllOptions(from)
{
  for (var i=(from.options.length-1); i>=0; i--)
  {
    from.options[i] = null;
  }
  from.selectedIndex = -1;
}

function addOption()
{
  selectedItems = document.getElementById( "items" );
  unselectedItems = document.getElementById( "items.unselected" );
  moveSelectedOptions( unselectedItems, selectedItems );
  sortOptions( selectedItems );
  removeDuplicates( selectedItems );
  removeDuplicates( unselectedItems );
}

function removeOption()
{
  selectedItems = document.getElementById( "items" );
  unselectedItems = document.getElementById( "items.unselected" );
  moveSelectedOptions( selectedItems, unselectedItems );
  sortOptions( unselectedItems );
  removeDuplicates( selectedItems );
  removeDuplicates( unselectedItems );
}
</script>